from displays.Display import Display

class SpecialDisplay(Display):
    def __init__(self, name):
        super(name)
        self.credits = 0
        self.gameTimeBonus = 0
        self.ballsToPlay = 0

    def printScore(self):
        super.write_score(int(str(self.credits).zfill(2)
                              + str(self.gameTimeBonus).zfill(2)
                              + str(self.ballsToPlay).zfill(2)))

    def printBallsToPlay(self, ballsToPlay):
        self.ballsToPlay = ballsToPlay
        self.printScore()

    def printGameTimeBonus(self, gameTimeBonus):
        self.gameTimeBonus = gameTimeBonus
        self.printScore()

    def printCredits(self, credits):
        self.credits = credits
        self.printScore()
